// AMX Mod X
echo Executing AMX Mod X Configuration File

// Уровень доступа всех, кто не прописан в users.ini (обычных игроков)
// По умолчанию: "z"
amx_default_access "z"

// Поле (~переменная) для пароля
// Для ввода пароля (админам) используется команда setinfo _pw pass (где _pw – это и есть поле пароля, а pass - сам пароль)
// По умолчанию: "_pw"
amx_password_field "_pw"

// Вход на сервер
// 0 – отключить авторизацию, игроки не будут проверяться (не будет присвоен ни один уровень доступа)
// 1 – нормальный режим, все флаги в аккуантах ставятся 
// 2 – кикать всех, кого нет в листе юзеров (users.ini)
// По умолчанию: 1
amx_mode 1

// Показывать активность админа
// 0 – не показывать
// 1 – показывать, но без ника админа (например, ADMIN Kicked Player)
// 2 – показывать, с ником (например, ADMIN MegaPlayer Kicked Player)
// По умолчанию: 2
amx_show_activity 2

// Частота в секундах и текст сообщения, которое будет прокручиваться
// По умолчанию: "Welcome to %hostname% -- This server is using AMX Mod X" 600
amx_scrollmsg "Welcome to black-camp.ucoz.ru  --- server by St1M" 600

// Сообщение по центру экрана (в конце цвет в RGB)
// По умолчанию: "Welcome to %hostname%" "000255100"
// "This server is using AMX ModX\nVisit http://www.amxmodx.org" "000100255"
amx_imessage "Добро пожаловать на black-camp.ucoz.ru" "000255100"
amx_imessage "Сервер собрал St1M" "000100255"

// Частота вывода на экран этого сообщения (см. выше) в секундах
// По умолчанию: 180
amx_freq_imessage 170

// Время бана для меню (amx_banmenu)
// Используйте 0 для перманент банов (навсегда)
// По умолчанию: 0 5 10 15 30 45 60
amx_plmenu_bantimes 5 10 15 30 45 60 120 240 360 480 600

// Урон от слэпа (slap) для меню (amx_slapmenu)
// Слэй автоматически идет первым параметром
// По умолчанию: 0 1 5
amx_plmenu_slapdmg 0 1 5 10 20 30 40 50 60 70 80 90 99

// Как часто игроки могут писать сообщения в чат в секундах (защита от флуда)
// По умолчанию: 0.75
amx_flood_time 0.75

// Количество резервируемых слотов для админов
// По умолчанию: 0
amx_reservation 0

// Скрывать резервируемые слоты
// По умолчанию: 0
amx_hideslots 0

// Показывать оставшееся время до конца карты
// a – белый текст внизу по центру экрана
// b – голосовое сопровождение
// c – не добавлять "remaining" (для голоса)
// d – не добавлять "hours/minutes/seconds" (для голоса)
// e – показывать/озвучивать, если текущее время меньше, чем установлено в параметре
// По умолчанию: "ab 1200" "ab 600" "ab 300" "ab 180" "ab 60" "bcde 11"
amx_time_display "ab 1200" "ab 600" "ab 300" "ab 180" "ab 60" "bcde 11"

// Сопровождать голосом команды "say thetime" и "say timeleft"
// По умолчанию: 1
amx_time_voice 1

// Минимальная задержка в секундах между двумя голосованиями
// По умолчанию: 10
amx_vote_delay 5

// Сколько длится голосование в секундах
// По умолчанию: 10
amx_vote_time 10

// Показывать, кто за что проголосовал
// По умолчанию: 1
amx_vote_answers 1

// Отношения для результатов голосования

// По умолчанию: 0.40
amx_votekick_ratio 0.40

// По умолчанию: 0.40
amx_voteban_ratio 0.40

// По умолчанию: 0.40
amx_votemap_ratio 0.40

// По умолчанию: 0.02
amx_vote_ratio 0.02

// Максимальное время, на которое может быть продлена карта (в минутах)
// По умолчанию: 90
amx_extendmap_max 90

// На сколько может быть продлена карта за раз (в минутах)
// По умолчанию: 15
amx_extendmap_step 15

// Разрешить выбирать язык
// По умолчанию: 1
amx_client_languages 1

// Дебаг-режим
// 0 - отключен
// 1 – плагины с опцией "debug" в plugins.ini запускаются в debug режиме
// 2 – все плагины запускаются в debug режиме
// По умолчанию: 1
amx_debug 1

// Статистика ведётся
// 0 – по нику
// 1 - по authid 
// 2 - по ip
// По умолчанию: 1
csstats_rank 0

// Максимальный размер файла статистики
// По умолчанию: 3500
csstats_maxsize 100000

// Записывать статистику ботов
// По умолчанию: 0
csstats_rankbots 0

// Время для отображения статистики после смерти (в секундах) 
// По умолчанию: 12.0
amx_statsx_duration 0

// Время отображения статистики (HUD) после конца раунда
// Отрицательное время уберёт статистику до того, как freezytime раунда закончится
// По умолчанию: -2.0
amx_statsx_freeze 0

amx_hpk_ping "200"
amx_hpk_check "12"
amx_hpk_tests "3"
amx_hpk_delay "30"
echo Public server by St1M. Executing AMX Mod X Configuration File
